#
# spec file for package svgalib (Version 1.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  svgalib
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         svgalib
Copyright:    1993 Tommy Frandsen, 1993 Harm Hanemaayer
Group:        System Environment/Libraries
Provides:     shlbsvga svgalib 
Autoreqprov:  on
Version:      1.4.3
Release:      33
Summary:      Super-VGA Graphics Library
Source: svgalib-1.4.3.tar.gz
Patch: svgalib-1.4.3.dif

%description
A video hardware graphics library, based on VGAlib. Supports most
standard and non-standard VGA modes and Super-VGA modes for Tseng
ET4000, Cirrus 542x (including 15/16/24 bit modes), Mach32, Trident
8900c/9000, Riva128, RivaTNT, Matrox
(Millenium 2, Mystique, Productiva G100 and Millenium G200), S3 375
Virge/DX, S3 Trio3D and other cards.
Documentation can be found in /usr/share/doc/packages/svgalib .

Authors:
--------
    H. Hanemaayer <hhanemaa@cs.ruu.nl>
    Michael Weller <eowmob@exp-math.uni-essen.de>
    Orest Zborowski <obz@Kodak.com>
    David Wexelblat <dwex@XFree86.org>
    Thomas Roell <roell@informatik.tu-muenchen.de>
    Kevin E. Martin <martin@cs.unc.edu>
    Rickard E. Faith <faith@cs.unc.edu>
    Christopher Wiles <wileyc@fsr.net>

SuSE series: d

%prep
%setup
%patch

%build
make shared
make static
make demoprogs
make textutils
make -C utils

%install
make install
make -C utils install
rm -f /usr/lib/libvga.so /usr/lib/libvgagl.so
(cd /usr/lib && ln -sf libvga.so.1.4.3 libvga.so)
(cd /usr/lib && ln -sf libvgagl.so.1.4.3 libvgagl.so)
(cd /usr/lib && ln -sf libvga.so.1.4.3 libvga.so.1)
(cd /usr/lib && ln -sf libvgagl.so.1.4.3 libvgagl.so.1)
make -C demos install
(cd threeDKit && cp -av wrapdemo plane /usr/lib/vga/demos)
rm -rf %{_defaultdocdir}/svgalib
mkdir -p %{_defaultdocdir}/svgalib
cp -a doc/CHANGES* doc/DESIGN doc/README.* doc/TODO doc/NEWS 0-* svgalib.lsm doc/*HOWTO %{_defaultdocdir}/svgalib
cp -a utils/0-README %{_defaultdocdir}/svgalib/0-README.utils
cp -a threeDKit/0-README %{_defaultdocdir}/svgalib/0-README.threeD

%files
%dir /etc/vga
%docdir %{_defaultdocdir}/svgalib
%dir /usr/lib/vga
%dir /usr/lib/vga/demos
/etc/vga/dvorak-us.keymap
%config /etc/vga/libvga.config
%config /etc/vga/libvga.et4000
/etc/vga/null.keymap
/usr/bin/convfont
/usr/bin/dumpreg
/usr/bin/fix132x43
/usr/bin/gtfcalc
/usr/bin/mode3
/usr/bin/restorefont
/usr/bin/restorepalette
/usr/bin/restoretextmode
/usr/bin/runx
/usr/bin/savetextmode
/usr/bin/setmclk
/usr/bin/svgakeymap
/usr/bin/textmode
/usr/bin/vga_reset
%doc %{_defaultdocdir}/svgalib/0-INSTALL
%doc %{_defaultdocdir}/svgalib/0-README
%doc %{_defaultdocdir}/svgalib/0-README.threeD
%doc %{_defaultdocdir}/svgalib/0-README.utils
%doc %{_defaultdocdir}/svgalib/CHANGES
%doc %{_defaultdocdir}/svgalib/CHANGES.mach64
%doc %{_defaultdocdir}/svgalib/DESIGN
%doc %{_defaultdocdir}/svgalib/Driver-programming-HOWTO
%doc %{_defaultdocdir}/svgalib/NEWS
%doc %{_defaultdocdir}/svgalib/README.joystick
%doc %{_defaultdocdir}/svgalib/README.kernel-2.4
%doc %{_defaultdocdir}/svgalib/README.keymap
%doc %{_defaultdocdir}/svgalib/README.lrmi
%doc %{_defaultdocdir}/svgalib/README.patching
%doc %{_defaultdocdir}/svgalib/README.vesa
%doc %{_defaultdocdir}/svgalib/TODO
%doc %{_defaultdocdir}/svgalib/svgalib.lsm
/usr/include/vga.h
/usr/include/vgagl.h
/usr/include/vgajoystick.h
/usr/include/vgakeyboard.h
/usr/include/vgamouse.h
/usr/lib/libvga.a
/usr/lib/libvga.so
/usr/lib/libvga.so.1
/usr/lib/libvga.so.1.4.3
/usr/lib/libvgagl.a
/usr/lib/libvgagl.so
/usr/lib/libvgagl.so.1
/usr/lib/libvgagl.so.1.4.3
/usr/lib/vga/demos/accel
/usr/lib/vga/demos/addmodetest
/usr/lib/vga/demos/bankspeed
/usr/lib/vga/demos/bg_test
/usr/lib/vga/demos/eventtest
/usr/lib/vga/demos/forktest
/usr/lib/vga/demos/fun
/usr/lib/vga/demos/joytest
/usr/lib/vga/demos/keytest
/usr/lib/vga/demos/linearfork
/usr/lib/vga/demos/linearspeed
/usr/lib/vga/demos/lineart
/usr/lib/vga/demos/mjoytest
/usr/lib/vga/demos/mousetest
/usr/lib/vga/demos/plane
/usr/lib/vga/demos/printftest
/usr/lib/vga/demos/scrolltest
/usr/lib/vga/demos/speedtest
/usr/lib/vga/demos/spin
/usr/lib/vga/demos/svidtune
/usr/lib/vga/demos/testaccel
/usr/lib/vga/demos/testgl
/usr/lib/vga/demos/testlinear
/usr/lib/vga/demos/vgatest
/usr/lib/vga/demos/vgatweak
/usr/lib/vga/demos/wrapdemo
%doc /usr/share/man/man1/convfont.1.gz
%doc /usr/share/man/man1/dumpreg.1.gz
%doc /usr/share/man/man1/fix132x43.1.gz
%doc /usr/share/man/man1/restorefont.1.gz
%doc /usr/share/man/man1/restorepalette.1.gz
%doc /usr/share/man/man1/restoretextmode.1.gz
%doc /usr/share/man/man1/runx.1.gz
%doc /usr/share/man/man1/savetextmode.1.gz
%doc /usr/share/man/man1/setmclk.1.gz
%doc /usr/share/man/man1/svgakeymap.1.gz
%doc /usr/share/man/man1/textmode.1.gz
%doc /usr/share/man/man3/currentcontext.3.gz
%doc /usr/share/man/man3/gl_allocatecontext.3.gz
%doc /usr/share/man/man3/gl_bcircle.3.gz
%doc /usr/share/man/man3/gl_circle.3.gz
%doc /usr/share/man/man3/gl_clearscreen.3.gz
%doc /usr/share/man/man3/gl_colorfont.3.gz
%doc /usr/share/man/man3/gl_compileboxmask.3.gz
%doc /usr/share/man/man3/gl_compiledboxmasksize.3.gz
%doc /usr/share/man/man3/gl_copybox.3.gz
%doc /usr/share/man/man3/gl_copyboxfromcontext.3.gz
%doc /usr/share/man/man3/gl_copyboxtocontext.3.gz
%doc /usr/share/man/man3/gl_copyscreen.3.gz
%doc /usr/share/man/man3/gl_disableclipping.3.gz
%doc /usr/share/man/man3/gl_enableclipping.3.gz
%doc /usr/share/man/man3/gl_enablepageflipping.3.gz
%doc /usr/share/man/man3/gl_expandfont.3.gz
%doc /usr/share/man/man3/gl_fillbox.3.gz
%doc /usr/share/man/man3/gl_fillcircle.3.gz
%doc /usr/share/man/man3/gl_font8x8.3.gz
%doc /usr/share/man/man3/gl_freecontext.3.gz
%doc /usr/share/man/man3/gl_getbox.3.gz
%doc /usr/share/man/man3/gl_getcontext.3.gz
%doc /usr/share/man/man3/gl_getpalette.3.gz
%doc /usr/share/man/man3/gl_getpalettecolor.3.gz
%doc /usr/share/man/man3/gl_getpalettecolors.3.gz
%doc /usr/share/man/man3/gl_getpixel.3.gz
%doc /usr/share/man/man3/gl_getpixelrgb.3.gz
%doc /usr/share/man/man3/gl_hline.3.gz
%doc /usr/share/man/man3/gl_line.3.gz
%doc /usr/share/man/man3/gl_printf.3.gz
%doc /usr/share/man/man3/gl_putbox.3.gz
%doc /usr/share/man/man3/gl_putboxmask.3.gz
%doc /usr/share/man/man3/gl_putboxmaskcompiled.3.gz
%doc /usr/share/man/man3/gl_putboxpart.3.gz
%doc /usr/share/man/man3/gl_rgbcolor.3.gz
%doc /usr/share/man/man3/gl_scalebox.3.gz
%doc /usr/share/man/man3/gl_setclippingwindow.3.gz
%doc /usr/share/man/man3/gl_setcontext.3.gz
%doc /usr/share/man/man3/gl_setcontextheight.3.gz
%doc /usr/share/man/man3/gl_setcontextvga.3.gz
%doc /usr/share/man/man3/gl_setcontextvgavirtual.3.gz
%doc /usr/share/man/man3/gl_setcontextvirtual.3.gz
%doc /usr/share/man/man3/gl_setcontextwidth.3.gz
%doc /usr/share/man/man3/gl_setdisplaystart.3.gz
%doc /usr/share/man/man3/gl_setfont.3.gz
%doc /usr/share/man/man3/gl_setfontcolors.3.gz
%doc /usr/share/man/man3/gl_setpalette.3.gz
%doc /usr/share/man/man3/gl_setpalettecolor.3.gz
%doc /usr/share/man/man3/gl_setpalettecolors.3.gz
%doc /usr/share/man/man3/gl_setpixel.3.gz
%doc /usr/share/man/man3/gl_setpixelrgb.3.gz
%doc /usr/share/man/man3/gl_setrgbpalette.3.gz
%doc /usr/share/man/man3/gl_setscreenoffset.3.gz
%doc /usr/share/man/man3/gl_setwritemode.3.gz
%doc /usr/share/man/man3/gl_striangle.3.gz
%doc /usr/share/man/man3/gl_swtriangle.3.gz
%doc /usr/share/man/man3/gl_triangle.3.gz
%doc /usr/share/man/man3/gl_trigetcolorlookup.3.gz
%doc /usr/share/man/man3/gl_trisetcolorlookup.3.gz
%doc /usr/share/man/man3/gl_trisetdrawpoint.3.gz
%doc /usr/share/man/man3/gl_write.3.gz
%doc /usr/share/man/man3/gl_writen.3.gz
%doc /usr/share/man/man3/gl_wtriangle.3.gz
%doc /usr/share/man/man3/graph_mem.3.gz
%doc /usr/share/man/man3/joystick_button1.3.gz
%doc /usr/share/man/man3/joystick_button2.3.gz
%doc /usr/share/man/man3/joystick_button3.3.gz
%doc /usr/share/man/man3/joystick_button4.3.gz
%doc /usr/share/man/man3/joystick_close.3.gz
%doc /usr/share/man/man3/joystick_getaxis.3.gz
%doc /usr/share/man/man3/joystick_getb1.3.gz
%doc /usr/share/man/man3/joystick_getb2.3.gz
%doc /usr/share/man/man3/joystick_getb3.3.gz
%doc /usr/share/man/man3/joystick_getb4.3.gz
%doc /usr/share/man/man3/joystick_getbutton.3.gz
%doc /usr/share/man/man3/joystick_getnumaxes.3.gz
%doc /usr/share/man/man3/joystick_getnumbuttons.3.gz
%doc /usr/share/man/man3/joystick_getx.3.gz
%doc /usr/share/man/man3/joystick_gety.3.gz
%doc /usr/share/man/man3/joystick_getz.3.gz
%doc /usr/share/man/man3/joystick_init.3.gz
%doc /usr/share/man/man3/joystick_setdefaulthandler.3.gz
%doc /usr/share/man/man3/joystick_sethandler.3.gz
%doc /usr/share/man/man3/joystick_update.3.gz
%doc /usr/share/man/man3/joystick_x.3.gz
%doc /usr/share/man/man3/joystick_y.3.gz
%doc /usr/share/man/man3/joystick_z.3.gz
%doc /usr/share/man/man3/keyboard_clearstate.3.gz
%doc /usr/share/man/man3/keyboard_close.3.gz
%doc /usr/share/man/man3/keyboard_getstate.3.gz
%doc /usr/share/man/man3/keyboard_init.3.gz
%doc /usr/share/man/man3/keyboard_init_return_fd.3.gz
%doc /usr/share/man/man3/keyboard_keypressed.3.gz
%doc /usr/share/man/man3/keyboard_setdefaulteventhandler.3.gz
%doc /usr/share/man/man3/keyboard_seteventhandler.3.gz
%doc /usr/share/man/man3/keyboard_translatekeys.3.gz
%doc /usr/share/man/man3/keyboard_update.3.gz
%doc /usr/share/man/man3/keyboard_waitforupdate.3.gz
%doc /usr/share/man/man3/mouse_close.3.gz
%doc /usr/share/man/man3/mouse_getbutton.3.gz
%doc /usr/share/man/man3/mouse_getcaps.3.gz
%doc /usr/share/man/man3/mouse_getposition_6d.3.gz
%doc /usr/share/man/man3/mouse_getx.3.gz
%doc /usr/share/man/man3/mouse_gety.3.gz
%doc /usr/share/man/man3/mouse_init.3.gz
%doc /usr/share/man/man3/mouse_init_return_fd.3.gz
%doc /usr/share/man/man3/mouse_setdefaulteventhandler.3.gz
%doc /usr/share/man/man3/mouse_seteventhandler.3.gz
%doc /usr/share/man/man3/mouse_setposition.3.gz
%doc /usr/share/man/man3/mouse_setposition_6d.3.gz
%doc /usr/share/man/man3/mouse_setrange_6d.3.gz
%doc /usr/share/man/man3/mouse_setscale.3.gz
%doc /usr/share/man/man3/mouse_setwrap.3.gz
%doc /usr/share/man/man3/mouse_setxrange.3.gz
%doc /usr/share/man/man3/mouse_setyrange.3.gz
%doc /usr/share/man/man3/mouse_update.3.gz
%doc /usr/share/man/man3/mouse_waitforupdate.3.gz
%doc /usr/share/man/man3/vga_accel.3.gz
%doc /usr/share/man/man3/vga_addmode.3.gz
%doc /usr/share/man/man3/vga_addtiming.3.gz
%doc /usr/share/man/man3/vga_bitblt.3.gz
%doc /usr/share/man/man3/vga_blitwait.3.gz
%doc /usr/share/man/man3/vga_changetiming.3.gz
%doc /usr/share/man/man3/vga_claimvideomemory.3.gz
%doc /usr/share/man/man3/vga_clear.3.gz
%doc /usr/share/man/man3/vga_copytoplanar16.3.gz
%doc /usr/share/man/man3/vga_copytoplanar256.3.gz
%doc /usr/share/man/man3/vga_copytoplane.3.gz
%doc /usr/share/man/man3/vga_disabledriverreport.3.gz
%doc /usr/share/man/man3/vga_drawline.3.gz
%doc /usr/share/man/man3/vga_drawpixel.3.gz
%doc /usr/share/man/man3/vga_drawscanline.3.gz
%doc /usr/share/man/man3/vga_drawscansegment.3.gz
%doc /usr/share/man/man3/vga_dumpregs.3.gz
%doc /usr/share/man/man3/vga_ext_set.3.gz
%doc /usr/share/man/man3/vga_fillblt.3.gz
%doc /usr/share/man/man3/vga_flip.3.gz
%doc /usr/share/man/man3/vga_getch.3.gz
%doc /usr/share/man/man3/vga_getcolors.3.gz
%doc /usr/share/man/man3/vga_getcurrentchipset.3.gz
%doc /usr/share/man/man3/vga_getcurrentmode.3.gz
%doc /usr/share/man/man3/vga_getcurrenttiming.3.gz
%doc /usr/share/man/man3/vga_getdefaultmode.3.gz
%doc /usr/share/man/man3/vga_getgraphmem.3.gz
%doc /usr/share/man/man3/vga_getkey.3.gz
%doc /usr/share/man/man3/vga_getmodeinfo.3.gz
%doc /usr/share/man/man3/vga_getmodename.3.gz
%doc /usr/share/man/man3/vga_getmodenumber.3.gz
%doc /usr/share/man/man3/vga_getmonitortype.3.gz
%doc /usr/share/man/man3/vga_getmousetype.3.gz
%doc /usr/share/man/man3/vga_getpalette.3.gz
%doc /usr/share/man/man3/vga_getpalvec.3.gz
%doc /usr/share/man/man3/vga_getpixel.3.gz
%doc /usr/share/man/man3/vga_getscansegment.3.gz
%doc /usr/share/man/man3/vga_gettextfont.3.gz
%doc /usr/share/man/man3/vga_gettextmoderegs.3.gz
%doc /usr/share/man/man3/vga_getxdim.3.gz
%doc /usr/share/man/man3/vga_getydim.3.gz
%doc /usr/share/man/man3/vga_guesstiming.3.gz
%doc /usr/share/man/man3/vga_hasmode.3.gz
%doc /usr/share/man/man3/vga_hlinelistblt.3.gz
%doc /usr/share/man/man3/vga_imageblt.3.gz
%doc /usr/share/man/man3/vga_init.3.gz
%doc /usr/share/man/man3/vga_lastmodenumber.3.gz
%doc /usr/share/man/man3/vga_lockvc.3.gz
%doc /usr/share/man/man3/vga_oktowrite.3.gz
%doc /usr/share/man/man3/vga_puttextfont.3.gz
%doc /usr/share/man/man3/vga_runinbackground.3.gz
%doc /usr/share/man/man3/vga_runinbackground_version.3.gz
%doc /usr/share/man/man3/vga_safety_fork.3.gz
%doc /usr/share/man/man3/vga_screenoff.3.gz
%doc /usr/share/man/man3/vga_screenon.3.gz
%doc /usr/share/man/man3/vga_setchipset.3.gz
%doc /usr/share/man/man3/vga_setchipsetandfeatures.3.gz
%doc /usr/share/man/man3/vga_setcolor.3.gz
%doc /usr/share/man/man3/vga_setdisplaystart.3.gz
%doc /usr/share/man/man3/vga_setegacolor.3.gz
%doc /usr/share/man/man3/vga_setflipchar.3.gz
%doc /usr/share/man/man3/vga_setlinearaddressing.3.gz
%doc /usr/share/man/man3/vga_setlogicalwidth.3.gz
%doc /usr/share/man/man3/vga_setmode.3.gz
%doc /usr/share/man/man3/vga_setmodeX.3.gz
%doc /usr/share/man/man3/vga_setmousesupport.3.gz
%doc /usr/share/man/man3/vga_setpage.3.gz
%doc /usr/share/man/man3/vga_setpalette.3.gz
%doc /usr/share/man/man3/vga_setpalvec.3.gz
%doc /usr/share/man/man3/vga_setreadpage.3.gz
%doc /usr/share/man/man3/vga_setrgbcolor.3.gz
%doc /usr/share/man/man3/vga_settextmoderegs.3.gz
%doc /usr/share/man/man3/vga_setwritepage.3.gz
%doc /usr/share/man/man3/vga_unlockvc.3.gz
%doc /usr/share/man/man3/vga_waitevent.3.gz
%doc /usr/share/man/man3/vga_waitretrace.3.gz
%doc /usr/share/man/man3/vga_white.3.gz
%doc /usr/share/man/man5/libvga.config.5.gz
%doc /usr/share/man/man5/libvga.et4000.5.gz
%doc /usr/share/man/man5/svgalibrc.5.gz
%doc /usr/share/man/man6/accel.6.gz
%doc /usr/share/man/man6/bg_test.6.gz
%doc /usr/share/man/man6/eventtest.6.gz
%doc /usr/share/man/man6/forktest.6.gz
%doc /usr/share/man/man6/fun.6.gz
%doc /usr/share/man/man6/joytest.6.gz
%doc /usr/share/man/man6/keytest.6.gz
%doc /usr/share/man/man6/lineart.6.gz
%doc /usr/share/man/man6/mach32info.6.gz
%doc /usr/share/man/man6/mjoytest.6.gz
%doc /usr/share/man/man6/mousetest.6.gz
%doc /usr/share/man/man6/plane.6.gz
%doc /usr/share/man/man6/printftest.6.gz
%doc /usr/share/man/man6/scrolltest.6.gz
%doc /usr/share/man/man6/speedtest.6.gz
%doc /usr/share/man/man6/spin.6.gz
%doc /usr/share/man/man6/svidtune.6.gz
%doc /usr/share/man/man6/testaccel.6.gz
%doc /usr/share/man/man6/testgl.6.gz
%doc /usr/share/man/man6/testlinear.6.gz
%doc /usr/share/man/man6/threed.6.gz
%doc /usr/share/man/man6/vgatest.6.gz
%doc /usr/share/man/man6/wrapdemo.6.gz
%doc /usr/share/man/man7/svgalib.7.gz
%doc /usr/share/man/man7/svgalib.chips.7.gz
%doc /usr/share/man/man7/svgalib.et4000.7.gz
%doc /usr/share/man/man7/svgalib.faq.7.gz
%doc /usr/share/man/man7/svgalib.mach32.7.gz
%doc /usr/share/man/man7/threedkit.7.gz
%doc /usr/share/man/man7/vgagl.7.gz
%doc /usr/share/man/man8/mode3.8.gz

%post 
if test -d usr/etc/vga ; then
    mkdir -p var/adm/notify/messages
    cat << EOT > var/adm/notify/messages/svgalib-changes
Hi,
The config files for svgalib have moved from /usr/etc/vga to /etc/vga.
Remember to check your old configuration unter /usr/etc/vga and move it
to /etc/vga.
EOT
fi

%changelog -n svgalib
* Thu Aug 09 2001 - fehr@suse.de
- update to 1.4.3
* Mon Dec 04 2000 - ro@suse.de
- don't strip man-pages
* Fri Nov 24 2000 - fehr@suse.de
- update to 1.4.2
* Mon Nov 20 2000 - fehr@suse.de
- add group tag
* Fri May 19 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Fri Jan 21 2000 - ro@suse.de
- update to 1.4.1 to make it build
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- update -> 1.4.0
* Thu Sep 24 1998 - ro@suse.de
- link shared libs against libc
- for glibc: include sys/io.h where needed
  lrmi.c use original function for vm86
* Tue Jul 28 1998 - werner@suse.de
- Close race by using noclobber
* Fri Jul 17 1998 - fehr@suse.de
- fixed symlinks
* Wed Oct 08 1997 - fehr@suse.de
- Upgraded to new Version 1.3.0
- fix security holes (tmp-exploits) in savetextmode, runx
- Upgraded to new Version 1.2.12
- Prepare package for automatic build
- Moved Configfile from /usr/etc/vga to /etc/vga
* Thu Feb 06 1997 - fehr@suse.de
- Add the util-Programs to package
* Wed Jan 29 1997 - fehr@suse.de
- Changed to Version 1.2.10
- Config files are in /usr/etc/vga
